classdef ClParams
    
    properties (Constant)
        
        %% Parametres generals
        
        % win 7
        rootDir = 'C:\Users\Jordi\Google Drive\Projecte\Codi\moduls';        
        % Win xp
        %rootDir = 'C:\Documents and Settings\jordi\Mis documentos\Google Drive\Projecte\Codi\moduls';
        
        defaultImg = strcat(Params.rootDir,'\rsc\not_available.jpg');
        imgProc = strcat(Params.rootDir,'\rsc\processing.jpg');
        imgNotRecognized = strcat(Params.rootDir,'\rsc\notfound.jpg');
        filtreImg = '*.jpg; *.png; *.bmp; *.pgm';
        pathMatFiles = strcat(Params.rootDir,'\mat');
        
        %% Viola Jones
        xmlHaarFace =  strcat(Params.rootDir,'\rsc\haarcascade_frontalface_alt2.xml');
        xmlHaarEye =  strcat(Params.rootDir,'\rsc\haarcascade_eye_tree_eyeglasses.xml');
        scaleFaceMin = 1.1;
        scaleEyeMin = 1.1;
                
        %% Mida imatges
        amplada = 180;
        alcada = 200;
        scale = 1.5;

        %% Train set
        nTrainImgs = 10;
        pathDatabaseInsBdd = strcat(Params.rootDir,'\mat\candidates.mat');

        %% Recognition
        % Win 7     
        pathDatabase = 'C:\Users\Jordi\Google Drive\Projecte\Codi\moduls\bdd\trainBdd2';
        pathDatabaseTest = 'C:\Users\Jordi\Google Drive\Projecte\Codi\moduls\bdd\testBdd1';
        % Win xp
        %pathDatabase = 'C:\Documents and Settings\jordi\Mis documentos\Google Drive\Projecte\Codi\eigenfaces2';
        pathDatabaseMatFilePca = strcat(Params.rootDir,'\mat\pcaTrainDatabase.mat');
        pathDatabaseMatFileLda = strcat(Params.rootDir,'\mat\ldaTrainDatabase.mat');
        pathDatabaseMatFileTest = strcat(Params.rootDir,'\mat\testDatabase.mat');
        pcaMaxDist = 80000000;
        fisherMaxDist = 80000000;
        nEigenVects = 20;
        numPerClass = 5;

        %% Tipus operacions amb web cam
        preview = 'prev'; %Preview de la cam
        recEigenVid = 'recegvid'; %App reconeixement video
        recEigenEst = 'recegest'; %App reconeixement imatge estatica
        video = 'vd'; 
        photo = 'ph';
        recFisherVid = 'recfishvid';
        recFisherEst = 'recfishest';        

    end
    
end

