
rootFolder = pwd;
addpath(genpath(strcat(rootFolder,'\gui')));
addpath(genpath(strcat(rootFolder,'\classes')));
addpath(genpath(strcat(rootFolder,'\functions')));
addpath(genpath(strcat(rootFolder,'\mat')));
addpath(genpath(strcat(rootFolder,'\mex')));
addpath(genpath(strcat(rootFolder,'\rsc')));

opencvPath = 'c:\opencv\2.4.3';
compilador = 'Microsoft Visual C++ 2008 Express';
firstRun = strcat(rootFolder,'\rsc\firstRun.no');

if exist(opencvPath,'dir')    
    comp = mex.getCompilerConfigurations('c++');    
    
    if strcmpi(comp.Name,compilador)
        
        if exist(firstRun,'file')
       
            uiwait(gui_main);

            clear all;
            close all;
            clear functions;
            imaqreset;
        else
            uiwait(gui_firstRun)                            
            fid = fopen(firstRun,'w');
            fclose(fid);
        end
    else
        uiwait(msgbox(strcat('No s''ha trobat cap compilador de: ', compilador),'Error'));
    end
else
    uiwait(msgbox(strcat('No s''ha trobat cap installaci de opencv 2.4.3:', opencvPath),'Error'));
end
